Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
72.0.0.0
Broadcast address
72.63.255.255
First usable
72.0.0.1
Last usable
72.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 48000000 · Integer 1207959552 to 1212153855
Reverse DNS zones
0.72.in-addr.arpa
1.72.in-addr.arpa
2.72.in-addr.arpa
3.72.in-addr.arpa
4.72.in-addr.arpa
5.72.in-addr.arpa
6.72.in-addr.arpa
7.72.in-addr.arpa
8.72.in-addr.arpa
9.72.in-addr.arpa
10.72.in-addr.arpa
11.72.in-addr.arpa
12.72.in-addr.arpa
13.72.in-addr.arpa
14.72.in-addr.arpa
15.72.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00000000.00000000.0000000072.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network01001000.00000000.00000000.0000000072.0.0.0
Broadcast01001000.00111111.11111111.1111111172.63.255.255
Split into smaller subnets/17

72.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.0.0.0/1772.0.0.1 to 72.0.127.25472.0.127.25532,766
272.0.128.0/1772.0.128.1 to 72.0.255.25472.0.255.25532,766
372.1.0.0/1772.1.0.1 to 72.1.127.25472.1.127.25532,766
472.1.128.0/1772.1.128.1 to 72.1.255.25472.1.255.25532,766
572.2.0.0/1772.2.0.1 to 72.2.127.25472.2.127.25532,766
672.2.128.0/1772.2.128.1 to 72.2.255.25472.2.255.25532,766
772.3.0.0/1772.3.0.1 to 72.3.127.25472.3.127.25532,766
872.3.128.0/1772.3.128.1 to 72.3.255.25472.3.255.25532,766
972.4.0.0/1772.4.0.1 to 72.4.127.25472.4.127.25532,766
1072.4.128.0/1772.4.128.1 to 72.4.255.25472.4.255.25532,766
1172.5.0.0/1772.5.0.1 to 72.5.127.25472.5.127.25532,766
1272.5.128.0/1772.5.128.1 to 72.5.255.25472.5.255.25532,766
1372.6.0.0/1772.6.0.1 to 72.6.127.25472.6.127.25532,766
1472.6.128.0/1772.6.128.1 to 72.6.255.25472.6.255.25532,766
1572.7.0.0/1772.7.0.1 to 72.7.127.25472.7.127.25532,766
1672.7.128.0/1772.7.128.1 to 72.7.255.25472.7.255.25532,766
1772.8.0.0/1772.8.0.1 to 72.8.127.25472.8.127.25532,766
1872.8.128.0/1772.8.128.1 to 72.8.255.25472.8.255.25532,766
1972.9.0.0/1772.9.0.1 to 72.9.127.25472.9.127.25532,766
2072.9.128.0/1772.9.128.1 to 72.9.255.25472.9.255.25532,766
2172.10.0.0/1772.10.0.1 to 72.10.127.25472.10.127.25532,766
2272.10.128.0/1772.10.128.1 to 72.10.255.25472.10.255.25532,766
2372.11.0.0/1772.11.0.1 to 72.11.127.25472.11.127.25532,766
2472.11.128.0/1772.11.128.1 to 72.11.255.25472.11.255.25532,766
2572.12.0.0/1772.12.0.1 to 72.12.127.25472.12.127.25532,766
2672.12.128.0/1772.12.128.1 to 72.12.255.25472.12.255.25532,766
2772.13.0.0/1772.13.0.1 to 72.13.127.25472.13.127.25532,766
2872.13.128.0/1772.13.128.1 to 72.13.255.25472.13.255.25532,766
2972.14.0.0/1772.14.0.1 to 72.14.127.25472.14.127.25532,766
3072.14.128.0/1772.14.128.1 to 72.14.255.25472.14.255.25532,766
3172.15.0.0/1772.15.0.1 to 72.15.127.25472.15.127.25532,766
3272.15.128.0/1772.15.128.1 to 72.15.255.25472.15.255.25532,766
3372.16.0.0/1772.16.0.1 to 72.16.127.25472.16.127.25532,766
3472.16.128.0/1772.16.128.1 to 72.16.255.25472.16.255.25532,766
3572.17.0.0/1772.17.0.1 to 72.17.127.25472.17.127.25532,766
3672.17.128.0/1772.17.128.1 to 72.17.255.25472.17.255.25532,766
3772.18.0.0/1772.18.0.1 to 72.18.127.25472.18.127.25532,766
3872.18.128.0/1772.18.128.1 to 72.18.255.25472.18.255.25532,766
3972.19.0.0/1772.19.0.1 to 72.19.127.25472.19.127.25532,766
4072.19.128.0/1772.19.128.1 to 72.19.255.25472.19.255.25532,766
4172.20.0.0/1772.20.0.1 to 72.20.127.25472.20.127.25532,766
4272.20.128.0/1772.20.128.1 to 72.20.255.25472.20.255.25532,766
4372.21.0.0/1772.21.0.1 to 72.21.127.25472.21.127.25532,766
4472.21.128.0/1772.21.128.1 to 72.21.255.25472.21.255.25532,766
4572.22.0.0/1772.22.0.1 to 72.22.127.25472.22.127.25532,766
4672.22.128.0/1772.22.128.1 to 72.22.255.25472.22.255.25532,766
4772.23.0.0/1772.23.0.1 to 72.23.127.25472.23.127.25532,766
4872.23.128.0/1772.23.128.1 to 72.23.255.25472.23.255.25532,766
4972.24.0.0/1772.24.0.1 to 72.24.127.25472.24.127.25532,766
5072.24.128.0/1772.24.128.1 to 72.24.255.25472.24.255.25532,766
5172.25.0.0/1772.25.0.1 to 72.25.127.25472.25.127.25532,766
5272.25.128.0/1772.25.128.1 to 72.25.255.25472.25.255.25532,766
5372.26.0.0/1772.26.0.1 to 72.26.127.25472.26.127.25532,766
5472.26.128.0/1772.26.128.1 to 72.26.255.25472.26.255.25532,766
5572.27.0.0/1772.27.0.1 to 72.27.127.25472.27.127.25532,766
5672.27.128.0/1772.27.128.1 to 72.27.255.25472.27.255.25532,766
5772.28.0.0/1772.28.0.1 to 72.28.127.25472.28.127.25532,766
5872.28.128.0/1772.28.128.1 to 72.28.255.25472.28.255.25532,766
5972.29.0.0/1772.29.0.1 to 72.29.127.25472.29.127.25532,766
6072.29.128.0/1772.29.128.1 to 72.29.255.25472.29.255.25532,766
6172.30.0.0/1772.30.0.1 to 72.30.127.25472.30.127.25532,766
6272.30.128.0/1772.30.128.1 to 72.30.255.25472.30.255.25532,766
6372.31.0.0/1772.31.0.1 to 72.31.127.25472.31.127.25532,766
6472.31.128.0/1772.31.128.1 to 72.31.255.25472.31.255.25532,766
6572.32.0.0/1772.32.0.1 to 72.32.127.25472.32.127.25532,766
6672.32.128.0/1772.32.128.1 to 72.32.255.25472.32.255.25532,766
6772.33.0.0/1772.33.0.1 to 72.33.127.25472.33.127.25532,766
6872.33.128.0/1772.33.128.1 to 72.33.255.25472.33.255.25532,766
6972.34.0.0/1772.34.0.1 to 72.34.127.25472.34.127.25532,766
7072.34.128.0/1772.34.128.1 to 72.34.255.25472.34.255.25532,766
7172.35.0.0/1772.35.0.1 to 72.35.127.25472.35.127.25532,766
7272.35.128.0/1772.35.128.1 to 72.35.255.25472.35.255.25532,766
7372.36.0.0/1772.36.0.1 to 72.36.127.25472.36.127.25532,766
7472.36.128.0/1772.36.128.1 to 72.36.255.25472.36.255.25532,766
7572.37.0.0/1772.37.0.1 to 72.37.127.25472.37.127.25532,766
7672.37.128.0/1772.37.128.1 to 72.37.255.25472.37.255.25532,766
7772.38.0.0/1772.38.0.1 to 72.38.127.25472.38.127.25532,766
7872.38.128.0/1772.38.128.1 to 72.38.255.25472.38.255.25532,766
7972.39.0.0/1772.39.0.1 to 72.39.127.25472.39.127.25532,766
8072.39.128.0/1772.39.128.1 to 72.39.255.25472.39.255.25532,766
8172.40.0.0/1772.40.0.1 to 72.40.127.25472.40.127.25532,766
8272.40.128.0/1772.40.128.1 to 72.40.255.25472.40.255.25532,766
8372.41.0.0/1772.41.0.1 to 72.41.127.25472.41.127.25532,766
8472.41.128.0/1772.41.128.1 to 72.41.255.25472.41.255.25532,766
8572.42.0.0/1772.42.0.1 to 72.42.127.25472.42.127.25532,766
8672.42.128.0/1772.42.128.1 to 72.42.255.25472.42.255.25532,766
8772.43.0.0/1772.43.0.1 to 72.43.127.25472.43.127.25532,766
8872.43.128.0/1772.43.128.1 to 72.43.255.25472.43.255.25532,766
8972.44.0.0/1772.44.0.1 to 72.44.127.25472.44.127.25532,766
9072.44.128.0/1772.44.128.1 to 72.44.255.25472.44.255.25532,766
9172.45.0.0/1772.45.0.1 to 72.45.127.25472.45.127.25532,766
9272.45.128.0/1772.45.128.1 to 72.45.255.25472.45.255.25532,766
9372.46.0.0/1772.46.0.1 to 72.46.127.25472.46.127.25532,766
9472.46.128.0/1772.46.128.1 to 72.46.255.25472.46.255.25532,766
9572.47.0.0/1772.47.0.1 to 72.47.127.25472.47.127.25532,766
9672.47.128.0/1772.47.128.1 to 72.47.255.25472.47.255.25532,766
9772.48.0.0/1772.48.0.1 to 72.48.127.25472.48.127.25532,766
9872.48.128.0/1772.48.128.1 to 72.48.255.25472.48.255.25532,766
9972.49.0.0/1772.49.0.1 to 72.49.127.25472.49.127.25532,766
10072.49.128.0/1772.49.128.1 to 72.49.255.25472.49.255.25532,766
10172.50.0.0/1772.50.0.1 to 72.50.127.25472.50.127.25532,766
10272.50.128.0/1772.50.128.1 to 72.50.255.25472.50.255.25532,766
10372.51.0.0/1772.51.0.1 to 72.51.127.25472.51.127.25532,766
10472.51.128.0/1772.51.128.1 to 72.51.255.25472.51.255.25532,766
10572.52.0.0/1772.52.0.1 to 72.52.127.25472.52.127.25532,766
10672.52.128.0/1772.52.128.1 to 72.52.255.25472.52.255.25532,766
10772.53.0.0/1772.53.0.1 to 72.53.127.25472.53.127.25532,766
10872.53.128.0/1772.53.128.1 to 72.53.255.25472.53.255.25532,766
10972.54.0.0/1772.54.0.1 to 72.54.127.25472.54.127.25532,766
11072.54.128.0/1772.54.128.1 to 72.54.255.25472.54.255.25532,766
11172.55.0.0/1772.55.0.1 to 72.55.127.25472.55.127.25532,766
11272.55.128.0/1772.55.128.1 to 72.55.255.25472.55.255.25532,766
11372.56.0.0/1772.56.0.1 to 72.56.127.25472.56.127.25532,766
11472.56.128.0/1772.56.128.1 to 72.56.255.25472.56.255.25532,766
11572.57.0.0/1772.57.0.1 to 72.57.127.25472.57.127.25532,766
11672.57.128.0/1772.57.128.1 to 72.57.255.25472.57.255.25532,766
11772.58.0.0/1772.58.0.1 to 72.58.127.25472.58.127.25532,766
11872.58.128.0/1772.58.128.1 to 72.58.255.25472.58.255.25532,766
11972.59.0.0/1772.59.0.1 to 72.59.127.25472.59.127.25532,766
12072.59.128.0/1772.59.128.1 to 72.59.255.25472.59.255.25532,766
12172.60.0.0/1772.60.0.1 to 72.60.127.25472.60.127.25532,766
12272.60.128.0/1772.60.128.1 to 72.60.255.25472.60.255.25532,766
12372.61.0.0/1772.61.0.1 to 72.61.127.25472.61.127.25532,766
12472.61.128.0/1772.61.128.1 to 72.61.255.25472.61.255.25532,766
12572.62.0.0/1772.62.0.1 to 72.62.127.25472.62.127.25532,766
12672.62.128.0/1772.62.128.1 to 72.62.255.25472.62.255.25532,766
12772.63.0.0/1772.63.0.1 to 72.63.127.25472.63.127.25532,766
12872.63.128.0/1772.63.128.1 to 72.63.255.25472.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses